qt-x11-free (3:3.3.8-e-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:27:39 +0200

qt-x11-free (3:3.3.8-d-0ubuntu0) maverick; urgency=low

  * Upload of 3.3.8d (working revision) from GIT

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 22 Jul 2011 16:40:00 -0600

qt-x11-free (3:3.3.8-c-0ubuntu0) maverick; urgency=low

  * Patch to 3.3.8c

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 09 Mar 2011 16:12:00 -0600

qt-x11-free (3:3.3.8-b-6ubuntu2) lucid; urgency=low

  * Fix locations in libqt3-mt.install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Nov 2009 17:26:38 +0000

qt-x11-free (3:3.3.8-b-6ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
   - Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
     Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686
   - Add kubuntu_09_flickerfree_qiconview.dpatch to add
     double-buffering for the icon redraw - prevents flicker on window
     redrawing (LP: #209227)
   - No firebird/ibase build (remove build-dep, control entry, ibase
     ./configure option), firebird is not in Ubuntu main
   - Add debian/qt_plugins_3.3rc and debian/qtrc to set default style to plastique, edit libqt3-mt.install to install them

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Nov 2009 14:37:51 +0000

qt-x11-free (3:3.3.8b-6) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Add firebird2-dev as alternative build-dependency for backports.
    (Closes: #475251)
  * Replace old libcupsys2-dev names by libcups2-dev in Build-Depends and
    Depends. Thanks to Martin-Éric Racine. (Closes: #529965).
  * Add missing build-dependency on cpio. (Closes: #536848)

  +++ Changes by Modestas Vainius:

  * Build depend on libmysqlclient-dev only. It is a virtual package in Lenny.

  +++ Changes by Sune Vuorela:

  * Add debian/patches/71_sparc_only_-O1.diff and use linux-g++-sparc:
    - Build with -O1 on sparc as something is broken here. (Closes: #490999)
  * Fix parallel build. Thanks Robert Millan. (Closes: 475333)

 --  Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Aug 2009 12:50:18 +0300

qt-x11-free (3:3.3.8-b-5ubuntu3) karmic; urgency=low

  * Build-depend on cpio (LP: #445582).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 18:00:08 +0100

qt-x11-free (3:3.3.8-b-5ubuntu2) karmic; urgency=low

  * Build against mysql 5.1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Aug 2009 21:22:20 +0100

qt-x11-free (3:3.3.8-b-5ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
     Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686
   - Add kubuntu_09_flickerfree_qiconview.dpatch to add
     double-buffering for the icon redraw - prevents flicker on window
     redrawing (LP: #209227)
   - No firebird/ibase build (remove build-dep, control entry, ibase
     ./configure option), firebird is not in Ubuntu main
   - install qtrc and qt_plugins_3.3rc
   - add /etc/ to libqt3-mt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 02 May 2008 11:30:32 +0100

qt-x11-free (3:3.3.8b-5) unstable; urgency=medium

  +++ Changes by Modestas Vainius:

  * The previous implemention of the hack was still incomplete solution for
    restoration of [fl]?stat64 symbols on libqt-mt.so.3 compiled with -O2
    against glibc << 2.7. In such a case, [fl]?stat64 were still inlined and
    not exported. Therefore, the hack implementation was extended to cover the
    latter case as a well and as result it should be fully compatible with
    m68k/unstable and backports.
  * Cleanup README.Debian: remove old information about non-threaded version
    of Qt3 and substitude contacts of previous maintainers with
    Debian Qt/KDE Maintainers (debian-qt-kde@lists.debian.org).
  * Drop 61_fcfontmatch_fontwidth_fix.diff patch. A bit different fix was
    applied upstream.
  * Add 61_eastern_asian_languagues.diff to fix font substitution for Eastern
    Asian languages under other locales (Closes: #468430).
  * Set urgency to medium because this revision fixes 3.3.8 regressions from
    3.3.7 and 3.3.8 has already entered testing.

  +++ Changes by Fathi Boudra:

  * Suggest qt3-apps-dev to qt3-examples. Thanks to Matthew Rosewarne.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 10 Mar 2008 17:10:24 +0200

qt-x11-free (3:3.3.8b-4) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Make 01_export_stat64_symbols.diff hack glibc >=2.7 dependant instead of
    build depending on libc6-dev (>=2.7-1) and its other incarnations. This
    will restore Qt3 backports friendliness. Thanks to Pierre Habouzit for
    this idea.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 21 Feb 2008 12:59:07 +0200

qt-x11-free (3:3.3.8b-3) unstable; urgency=low

  * The "Optimized Qt3" release.

  ++ Changes by Modestas Vainius:

  * Add 00_qmake_debian_compliant_release_target.diff patch to make 'qmake'
    release target debian policy compliant:
      - Use C(XX)FLAGS=-02 -g
      - Prevent qmake from striping binaries. Debian has dh_strip for that.
      - Patch configure script to build qmake itself with 'release'
        configuration too.
  * Build Qt3 using "release" build configuration.
  * Remove 01_stat_extern_inline_hack.diff and use different way of exporting
    [fl]?stat64 symbols because previous way is ineffective with -O2. Add
    01_export_stat64_symbols.diff patch for that.
  * The hack above depends on libc6-dev (>= 2.7-1). Adjust Build-Depends.
  * Add 73_configure_quilt_compat.diff patch to make ./configure script ignore
    "project files" under quilt temporary directory (./.pc/). I think that
    this problem was the cause of FTBFS on alpha & mips since *.pro files
    under .pc had to be `found` last in order for ./configure to succeed.
    Probably, this condition was not met on alpha & mips, but it was met on
    other arches.
  * Add myself to uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 21 Feb 2008 01:13:16 +0200

qt-x11-free (3:3.3.8b-2) unstable; urgency=medium

  * Re-add *stat64 symbols to Qt3 using 01_stat_extern_inline_hack patch:

    * the extern inlines from sys/stat.h are just gone, and that's just normal
      in fact.
    * /usr/lib/libc.so is a linker script that pulls /lib/libc-2.7.so _and_
      /usr/lib/libc_nonshared.a.
    * the latter defines stat64 and friends as weak-symbols and alises to
      __xstat64 and friends.

    That's how when you link something that uses fstat64 it finds the symbol at
    link time, letting you the possibility to override it with your own
    implementation.

    The fact that the extern inlines were used at some point in the past _was_
    a bug, and let qt3 divert those, which should have not happened in the
    first place. Sadly, when you link against qt3, it picks those symbols
    because it will always prefer symbols from a shared lib than from the .a
    IIRC, or it's due to the link order, anyways, it's not relevant.

    Thanks to Pierre Habouzit and Modestas Vainius. (Closes: #465028)

 -- Fathi Boudra <fabo@debian.org>  Sat, 16 Feb 2008 16:02:03 +0100

qt-x11-free (3:3.3.8b-1) unstable; urgency=low

  * New upstream release:
    * This version adds the GNU Public License version 3 as a
      possible choice for licenses to the Open Source releases of Qt 3.
    * It includes the patch for CVE-2007-3388, a potential vulnerability in
      QTextEdit, which might cause remote execution when parsing maliciously
      crafted text from an unknown source.

  * Fix desktop files:
    * Add semicolon at the end of the MimeType key. Thanks to Pino Toscano.
    * Remove deprecated MapNotify key.
  * Bump compat/debhelper to 6.
  * Add myself in Uploaders field.
  * Switch to quilt patch system.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields.
  * Update copyright file. Add the GNU GPL 3 as a possible choice of licenses.
    (Closes: #464613)
  * Update libqt3-mt* links.
  * Update rules: install upstream changelog changes-3.3.8 and changes-3.3.8b.
  * Refresh patches. (Closes: #441580)
  * Remove patches:
    * 30_qtc_arabic_font_fixes.dpatch
    * 49_immodule_inputcontext_fix.dpatch
    * 62_bengali_charfix.dpatch
    * 64_utf8-parsing-vulnerability.dpatch
    * 69_CVE-2007-3388.dpatch
  * Add patches:
    * lubos lunak xinerama patch. It adds _net_wm_full_placement support.
    * xinerama dialog placement fix.
  * Use qt-copy patches original name. Don't use "xx_qtc_patch_name" scheme.
  * Replace deprecated Source-Version by binary:Version.
  * Update menu files to latest Debian menu policy.
  * Install translations files with 644 permissions.

 -- Fathi Boudra <fabo@debian.org>  Fri, 08 Feb 2008 11:01:58 +0100

qt-x11-free (3:3.3.8-b-0ubuntu3) hardy; urgency=low

  * Add 61_eastern_asian_languagues.diff from Debian, 
    closes LP: #94282
    "Qt program doesn't select Chinese font correctly"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Apr 2008 16:56:29 +0100

qt-x11-free (3:3.3.8-b-0ubuntu2) hardy; urgency=low

  * Add debian/patches/kubuntu_09_flickerfree_qiconview.dpatch to add
    double-buffering for the icon redraw - prevents flicker on window
    redrawing (LP: #209227)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 Apr 2008 09:24:36 -0400

qt-x11-free (3:3.3.8-b-0ubuntu1) hardy; urgency=low

  * New upstream release with GPL 3 licence

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jan 2008 10:50:42 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu13) hardy; urgency=low

  * Remove kubuntu_05_gcc_hidden_visibility.dpatch, it breaks typing
    composite keys.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2007 11:40:40 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu12) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - No firebird/ibase build (remove build-dep, control entry, ibase ./configure option), firebird is not in Ubuntu main
   - install qtrc (change rules, qtrc file) and qt_plugins_3.3rc
   - add /etc/ to libqt3-mt
   - Add kubuntu_04_xinerama.dpatch from http://ktown.kde.org/~seli/xinerama/
   - Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
     Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686
   - Add kubuntu_07_font_default_subst.dpatch from Dirk Muller,
     should fix rendering of CKJ and other characters
  * Add kubuntu_05_gcc_hidden_visibility.dpatch from 
    http://bugs.kde.org/attachment.cgi?id=13069&action=view
    on http://bugs.kde.org/109386, I am promised GCC won't break things this time

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Nov 2007 15:59:56 +0000

qt-x11-free (3:3.3.7-9) unstable; urgency=low

  * Trust dpkg-architecture better than uname -m for the build key. Make
    mappings to not break current binary compability. Add patch 72 for that.
    Thanks to Bastian Blank for often changing uname -m on his buildds to
    discover this bug.

 -- Sune Vuorela <debian@pusling.com>  Wed, 26 Sep 2007 21:42:24 +0200

qt-x11-free (3:3.3.7-8) unstable; urgency=low

  * Add patch for utf8 parser decoder overflow. CVE-2007-4137
    (Closes: #442780). Thanks to Dirk Mueller for the patch and Stefan Fritsch
    for noticing it.

 -- Sune Vuorela <debian@pusling.com>  Sun, 16 Sep 2007 23:13:32 +0200

qt-x11-free (3:3.3.7-7) unstable; urgency=low

  * Updating Qt3 to build against firebird2. Many thanks to Damyan Ivanov for
    his work on this!
    - Build-Depend on firebird2.0-dev instead of firebird1.5-dev.
    - Add powerpc to firebird-supported architectures.
    - Add patch 70_bad_typecast_amd64 to fix bad typecast in 
      src/sql/drivers/ibase/qsql_ibase.cpp causing FTBFS on amd64.
  * Update uploaders.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 23 Aug 2007 08:25:07 +0200

qt-x11-free (3:3.3.7-6) unstable; urgency=low

  * Patch for potential vulnerability in QTextEdit, which might cause remote
    execution when parsing maliciously crafted text from an unknown source. 
    CVE-2007-3388

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 31 Jul 2007 13:34:00 +0200

qt-x11-free (3:3.3.7-5) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Add fix to qbutton.h with gcc-4.2 and higher. (Closes: #409512)
  * Add fix to compile with gcc-4.3 (Closes: 417499). Thanks to Martin
    Michlmayr.
  * Fix designer and assistant desktop files. Thanks Pino.
  * Fix FTBFS with newer firebird. Thanks to Firebird maintainers for breaking
    it. This requires to change -lgds to -lfbclient. (Closes: #427191)
  * Add sparc to firebird archs. Thanks to Damyan Ivanov.
  * Add armel support to qt3. Thanks to Riku Voipu and Lennert Beytenhek.
    (Closes: 408814)
  * Fix typo in some documentation. (Closes: 410968)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 May 2007 13:07:33 +0200

qt-x11-free (3:3.3.8really3.3.7-0ubuntu11.1) gutsy-proposed; urgency=low

  * Fix missing config files and wrong /etc/qt3 folder permissions. (LP: #145709)

 -- Saïvann Carignan <oxmosys@gmail.com>  Tue, 23 Oct 2007 18:02:50 -0400

qt-x11-free (3:3.3.8really3.3.7-0ubuntu11) gutsy; urgency=low

  * SECURITY UPDATE: unterminated UTF8 strings could lead to 2 byte
    overflow that may allow arbitrary code execution.
  * Add debian/patches/kubuntu_20_utf8_2_byte_overflow: upstream fixes.
  * References
    CVE-2007-4137
    http://trolltech.com/company/newsroom/announcements/press.2007-09-03.7564032119

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Oct 2007 22:32:33 +0100

qt-x11-free (3:3.3.8really3.3.7-0ubuntu10) gutsy; urgency=low

  * Fix build failures with g++-4.3. LP: #138645.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Sep 2007 15:24:47 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu9) gutsy; urgency=low

  * Build interbase support for lpia.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Aug 2007 17:33:04 +0000

qt-x11-free (3:3.3.8really3.3.7-0ubuntu8) gutsy; urgency=low

  * SECURITY UPDATE: remote execution when parsing vulnerability
  * Format string bugs were found in several Qt warning messages.
    Applications using Qt for processing certain data types could
    trigger them if the data caused Qt to print warnings. The bugs
    potentially allow to execute arbitrary code via specially crafted
    files.
  * Added kubuntu_08_CVE-2007-3387.dpatch from http://www.trolltech.com/developer/download/170529.diff
      sql/qdatatable.cpp
      sql/qsqldatabase.cpp
      sql/qsqlindex.cpp
      sql/qsqlrecord.cpp
      tools/qglobal.cpp
      widgets/qtextedit.cpp
      xml/qsvgdevice.cpp
    Perform better checks when parsing SQL, QTextEdit HTML, SVG XML and qSystemWarning
  * References
    http://trolltech.com/company/newsroom/announcements/press.2007-07-27.7503755960
    CVE-2007-3388

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2007 14:11:32 +0100

qt-x11-free (3:3.3.8really3.3.7-0ubuntu7) gutsy; urgency=low

  * Fix build failure with GCC-4.2 add kubuntu_08_gcc42_buildfix.dpatch

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 May 2007 14:15:47 +0200

qt-x11-free (3:3.3.8really3.3.7-0ubuntu6) gutsy; urgency=low

  * Merge with Debian
  * Add kubuntu_07_font_default_subst.dpatch from Dirk Muller,
    should fix rendering of CKJ and other characters

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Apr 2007 14:47:19 +0100

qt-x11-free (3:3.3.7-4) unstable; urgency=high

  * Add patch to fix issue with utf8 parsing.
  * Urgency high due to security fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 29 Mar 2007 23:25:24 +0200

qt-x11-free (3:3.3.8really3.3.7-0ubuntu5) feisty; urgency=low

  * SECURITY UPDATE: invalid UTF8 parsing could lead to overflows.
  * Add kubuntu_07_utf8-fix.dpatch: upstream fixes.
  * References
    CVE-2007-0242

 -- Kees Cook <kees@ubuntu.com>  Mon,  9 Apr 2007 18:22:07 -0700

qt-x11-free (3:3.3.8really3.3.7-0ubuntu4) feisty; urgency=low

  * Add kubuntu_06_fglrx_0_size_screen.dpatch work around fglrx reporting a 0 size screen.
    Closes https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/81686

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  2 Apr 2007 20:13:18 +0100

qt-x11-free (3:3.3.8really3.3.7-0ubuntu3) feisty; urgency=low

  * Install config files in libqt3-mt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Mar 2007 12:32:42 +0100

qt-x11-free (3:3.3.8really3.3.7-0ubuntu2) feisty; urgency=low

  * Use Sans Serif rather then DejaVu Sans in qtrc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 18:23:21 +0100

qt-x11-free (3:3.3.8really3.3.7-0ubuntu1) feisty; urgency=low

  * Revert to Qt 3.3.7.  3.3.8 was not showing a lot of characters
    from CKJ languages.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 11:41:13 +0100

qt-x11-free (3:3.3.8-0ubuntu2) feisty; urgency=low

  * debian/patches/kubuntu_05_mysql_shutdown_fix.dpatch: from Dirk,
    fix mysql to not use postProc for shutdown (LP: #90710).

 -- Kees Cook <kees@ubuntu.com>  Sat, 17 Mar 2007 01:16:00 -0700

qt-x11-free (3:3.3.8-0ubuntu1) feisty; urgency=low

  * New upstream release
  * 25_qtc_qpixmap_mitshm updated from qt-copy
  * 26_qtc_qpixmap_constants updated from qt-copy
  * 30_qtc_arabic_font_fixes removed, applied upstream
  * 45_immodule_unified updated from SuSE
  * 47_immodule_nodebug_fix updated
  * 48_immodule_xim_fix updated
  * 49_immodule_inputcontext_fix removed, applied in 45
  * 61_fcfontmatch_fontwidth_fix updated
  * 62_bengali_charfix removed, applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Mar 2007 13:11:10 +0000

qt-x11-free (3:3.3.7-3ubuntu3) feisty; urgency=low

  * Removed ibase .configure option, fixes FTBFS for i386 and amd64

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 18 Feb 2007 22:50:21 +0100

qt-x11-free (3:3.3.7-3ubuntu2) feisty; urgency=low

  * Removed build-dep firebird2-dev

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 18 Feb 2007 16:59:47 +0100

qt-x11-free (3:3.3.7-3ubuntu1) feisty; urgency=low

  * Merged with debian, closing Malone #78209

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 18 Feb 2007 01:33:32 +0100

qt-x11-free (3:3.3.7-3) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Improved debian/copyright.
  * Update Uploaders.
  * Applied patch to avoid qmake segfaulting on GNU/Hurd when no output 
    file is specified. Thanks to Michael Banck. (Closes: #399984)

  +++ Changes by Sune Vuorela

  * Add fix to a bengali char:
   Incorrect rendering of two special symbols (U0982) and (U0983) when
   used after the consonant conjuncts comprising of the alphabet র (U09B0) +
   <any other consonant> + <any dependent vowel>.
   (fix mailed from upstream to distributions)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 12 Jan 2007 18:44:53 +0100

qt-x11-free (3:3.3.7-2) unstable; urgency=medium

  +++ Changes by Sune Vuorela:

  * Remove extra 's' in package description of qt3-designer. (Closes: #398883)
  * Add gdb to qt3-x11-free-dbg - you can't create backtraces without

  +++ Changes by Modestas Vainius:

  * debian/patches/61_fcfontmatch_fontwidth_fix.dpatch
      Fix font matching with fontconfig. This resolves inconsistency with
      determining font width (e.g. Dejavu Sans "Condensed" may get selected
      instead of "Book" for Sans Serif font) for default fonts (Sans Serif,
      Serif and Monospace). This bug is very important because it makes
      default KDE fonts look ugly in most cases.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Dec 2006 22:37:21 +0200

qt-x11-free (3:3.3.7-1ubuntu3) feisty; urgency=low

  * No-change upload for the libpq4->libpq5 transition.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Jan 2007 15:39:57 +0000

qt-x11-free (3:3.3.7-1ubuntu2) feisty; urgency=low

  * Remove kubuntu_05_gcc_hidden_visibility.dpatch from 00list
    of patches, it caused pyqt and pykde to hide init methods which
    are needed to load modules and it broke skim.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  4 Dec 2006 13:48:56 +0000

qt-x11-free (3:3.3.7-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Remove kubuntu_02_qt_modules_ia32.dpatch and
    kubuntu_03_qt_private_confdir_ia32.dpatch since openoffice is now
    native on AMD64 we have no ia32 libs
  * Remove kubuntu_05_CVE-2006-4811-qt3_pixmap.dpatch, included in upstream
  * Keep kubuntu_04_xinerama.dpatch
  * Add kubuntu_05_gcc_hidden_visibility.dpatch from 
    http://bugs.kde.org/attachment.cgi?id=13069&action=view
    on http://bugs.kde.org/109386
  * Other changes from Debian are no ibase build and install qtrc file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Nov 2006 21:57:09 +0000

qt-x11-free (3:3.3.7-1) unstable; urgency=medium

  * New upstream release. Includes the fix to CVE-2006-4811, an integer
    overflow that might (in theory) lead to the arbitrary execution of
    code, particularly for those using KHTML (Konqueror's page rendering
    engine). Urgency is medium as this is a security problem.
    (Closes: #394313)

  * Add Hurd build patch, thanks to Cyril Brulebois. (Closes: #394195)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 21 Oct 2006 09:30:32 -0400

qt-x11-free (3:3.3.6-4) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Add a patch, courtesy of Steve Langasek, that fixes
    qt-x11-free's longstanding intermittent FTBFS on hppa, caused
    by "the bogus assumption in src/tools/qlocale.cpp that a
    char[] can be cast to a double *." (Closes: #342545)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Aug 2006 21:43:12 -0400

qt-x11-free (3:3.3.6-3) unstable; urgency=low

  +++ Changes by Christopher Martin

  * Add a patch (accepted upstream) that fixes the use of some fonts
    with broken or atypical opentype tables. Some common Arabic fonts
    are affected.

  * Make READMEs and other docs available with libqt3-mt (not just
    libqt3-mt-dev). Also include the Immodule README.
    (Closes: #370742, #370744)

  * Patch the 11_qt_rubberband patch, to fix a crash and a signal bug
    affecting Kimdaba (and probably others).
    (Closes: #341982, #352409, #362155)

  * Add a hack to rarely used QFontDatabase code that avoids a crash that
    was causing KImageMapEditor to fail to start. (Closes: #369795)

  * Add /usr/share/qt3/bin links for linguist, assistant, qtconfig, and
    designer (qt3-dev-tools' binaries already have this).
    (Closes: #375888, #375887)

  * Include a /usr/share/qt3/lib symlink for libqt-mt.la. (Closes: #376954)

  * Now that binutils has fixed xgot support, we can drop the mips/mipsel xgot
    patch and rebuild. (Closes: #374883)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Jul 2006 09:29:55 -0400

qt-x11-free (3:3.3.6-2) unstable; urgency=low

  +++ Changes by Pierre Habouzit:

  * Update debian/control for new kfreebsd-amd64 port. (Closes: #361494)

  +++ Changes by Christopher Martin:

  * Remove obsolete xlibs-static-dev and x-dev build-depends. Also update the
    Mesa build-depends for the new X.Org 7. (Closes: #363432)

  * Make libqt3-mt recommend OpenGL and related libraries, since they are
    dlopened if available.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Apr 2006 14:18:11 -0400

qt-x11-free (3:3.3.6-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * New release obsoletes patch #30, #33. Adapted the immodule patches to the
    new release; please report regressions.

  * Add another small patch for immodule from Dirk Mueller, fixing an
    inputcontext crash.

  * Build against libsqlite3-dev instead of libsqlite0-dev.

  * Temporarily version our build-depend on libxft-dev, to (>= 2.1.8.2-5.1),
    ensuring that we build against a package with headers where we need them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Mar 2006 18:47:53 -0500

qt-x11-free (3:3.3.5-4) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Change build-depends from libmysqlclient12-dev to libmysqlclient15-dev.
    (Closes: #350725)

  * Add a patch from Maksim Orlovich (provided by Bart Coppens), that should
    resolve a crash in KMail when viewing exceedingly large mailboxes.
    (Closes: #347392)

  * Incorporate the immodule patch (and sundry fixes for that patch). Some of
    the packaging is borrowed from Ubuntu.
    (Closes: #347377)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Feb 2006 18:15:14 -0500

qt-x11-free (3:3.3.5-3) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Really add InterBase support to amd64. (Closes: #341614)

  * Add a patch for plugin loading when mixing-and-matching apps from
    different Qt/KDE versions.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu,  1 Dec 2005 14:45:43 -0500

qt-x11-free (3:3.3.5-2) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Drop qt-copy's gamma patch, now that kdelibs has incorporated a
    cleaner fix. (Closes: #333542)

  * Fix a new-for-3.3.5 QListView problem that was causing myriad random
    crashes in KDE apps. (Closes: #338002)

  * Build the InterBase plugin on amd64, now that firebird2 works there.

  * Move all .desktop files from /usr/share/applnk to /usr/share/applications,
    and ensure that they have Categories set. This cleanup also fixes the Qt3
    Assistant menu entry, which should now appear next to other Qt3 tools in
    the menu. (Closes: #335465)

  * Bump DH_COMPAT to 5. No changes required, except that the debugging
    package is renamed from libqt3-mt-dbg to qt-x11-free-dbg, and contains
    debugging symbols for all binaries in all qt-x11-free packages.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 29 Nov 2005 08:17:59 -0500

qt-x11-free (3:3.3.5-1) unstable; urgency=low

  * New upstream release. Drop patches merged upstream, and sync those that
    remain.

  * Add a patch disabling 3.3.5's new use of includehints, since the
    implementation is still buggy and causing build problems for many
    programs.

  +++ Changes by Christopher Martin:

  * Move documention from qt3-doc back to qt3-designer and qt3-linguist, since
    the last upload centralized it all in qt3-doc. The reason for this
    inadvertent change was a years-old bug (just now noticed and fixed) in
    debian/rules, wherein portions of it would fail if sh where something
    other than bash. Add all the appropriate Replaces to cope with these
    moves. (Closes: #327291)

  * Revert the versioning of our build-depends on libpq-dev, since the fixed
    package has now built on all architectures.

  * Add a patch from the "Improving KDE" set that tweaks KDE's default GUI,
    changing some of the selection and highlight effects.

  * Revert the splitting out of the Qt style plugins, as this caused hassles
    for developers trying to create their own styles, and also problems with
    PyQt. (Closes: #327360, #328109)

  * Re-enable InterBase support, now that firebird2 has been built with gcc4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 Sep 2005 11:21:52 -0400

qt-x11-free (3:3.3.4-8) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Add a patch fixing the generation of PostScript, which was broken due to
    a flaw in the code that only manifested itself with the GCC 4.0
    transition. This should fix printing in all Qt and KDE applications, as
    well as other glitches where nonsensical results were generated.
    (Closes: #326833, #326990, #327021)

  * No longer build non-threaded libraries. (Closes: #180326)
    No package in the archive uses them, except a bogus qtdmm
    build-dependency (#326627).

  * Add a libqt3c102-mt-dbg package. (Closes: #235396, #322868)

  * Make the Qt3 documentation available from /usr/share/doc/qt3-doc, and
    therefore also usable in dwww and doc-central. (Closes: #185900, #284407,
    #294630)

  * Apply packaging patches from Brian Nelson to allow Qt3 to co-exist
    with Qt4 packages. (Closes: #306879)

  * Apply 06_disable_rpath to linux-g++-64/qmake.conf as too.

  * Add the gtkstyle patch, in order to better support Bluecurve.
    (Closes: #316108)

  * Add more patches from qt-copy:
    + 29_qtc_fix_rotated_randr: Improve height/width calculations for rotated
      screens.
    + 30_qtc_qtoolbar_77047: Fix for the toolbar extension menu.
    + 33_qtc_qlistbox-crash: Fixes a crash that shows up in KHTML.
    + 34_qtc_dnd_optimization: Massive DND speedups.
    + 35_qtc_dnd_active_window_fix: Fixes DND when windows are changing focus.
    + 36_qtc_dnd-timestamp-fix: Suppresses needless popups when using DND.
    + 37_qtc_dragobject-dont-prefer-unknown: Fixes DND with some apps, like
      Mozilla.
    + 38_qtc_khotkeys_input_84434: Fixes keyboard input action in KHotKeys.
    + 39_qtc_qpopup_has_mouse, 40_qtc_qpopup_ignore_mousepos: Fixes the mouse
      movement and position affecting keyboard navigation with popups and
      menus.

  * Enable tablet support:
    - pass -tablet to configure.
    - add libxi-dev to Build-Depends.

  * Build jpeg support into Qt, not as a plugin.

  * Build the Qt styles as plugins. This does not affect the Qt buildkey,
    so shouldn't affect other packages.

  * Revamp the OpenGL linking patch. This fixes the loading of libXmu, a
    problem which affected some screensavers. (Closes: #296661)

  * Temporarily bump the libpq-dev build-depends to (>= 8.0.3-15), ensuring
    that we build against a version where the headers are located as expected.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  7 Sep 2005 11:23:55 -0400

qt-x11-free (3:3.3.4-7) unstable; urgency=low

  * The "Mistakes happen; sadly, sometimes they happen all the same day" release.

  +++ Changes by Adeodato Simó:

  * Fix new arm FTBFS: in 08_arm_gcc4.dpatch, patch the original file, not the
    symlink, since patch makes a copy.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Aug 2005 22:28:17 +0200

qt-x11-free (3:3.3.4-6) unstable; urgency=low

  * The "If debussy had been up..." release.

  +++ Changes by Adeodato Simó:

  * Include in 08_arm_gcc4.dpatch an appropriate cast so that GCC 4.0 does not
    barf. Patch stolen from SuSE, kudos to Isaac Clerencia for finding it.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Aug 2005 14:29:47 +0200

qt-x11-free (3:3.3.4-5) unstable; urgency=low

  +++ Changes by Adeodato Simó:

  * Fix FTBFS on arm due to incomplete compiler version check: teach qglobal.h
    that GCC versions with major version != 3 exist. [08_arm_gcc4.dpatch]

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Aug 2005 12:10:01 +0200

qt-x11-free (3:3.3.4-4) unstable; urgency=low

  * The "Three transitions and one maintainer switch" release.

  * Cope with the following ongoing transitions in unstable:
    - C++ ABI transition.
    - X.org transition.
    - PostgreSQL 8.0 transition.

  * Move the package to the Debian Qt/KDE team, as agreed with the
    maintainer. Thanks to Martin Loschwitz for all his work over the
    years.

  +++ Changes by Adeodato Simó:

  * Transition to the new C++ ABI. Rename all the library packages as
    necessary: every libqt3c102-* goes back to libqt3-* now. Changes based
    on the patch provided by Matthias Klose in Ubuntu Bug 10723.

    + debian/control:
      - renamed library packages.
      - add conflicts and replaces against the libqt3c102-* packages, or
        change the existing libqt3-* ones.
      - change the existing recommends and suggests on libqt3c102-* to
        libqt3-*.
      - adjusted descriptions where appropriate.

    + debian/rules:
      - s/c102// in various places.

    + debian/*.install, debian/*.links:
      - renamed as appropriate.

    + debian/patches/31_gcc4_buildkey.dpatch:
      - new patch picked from the Fedora Qt packages to ensure a stable
        buildkey accross compiler upgrades now that GCC 4 is the default.
        Kudos to Christopher Martin for finding about the existence of this
        patch.

    The above solves trouble for users when using qt3-designer with g++ 4.0,
    so this upload closes: #317768.

    Also, disabling InterBase support has been necessary in this upload,
    because nobody has cared to make firebird2 not FTBFS with g++ 4.0. Dropped
    the libqt3-ibase and libqt3-mt-ibase packages, which can be reintroduced
    as soon as #317314 gets fixed.

      + debian/control:
        - don't build-depend on firebird2-dev.

      + debian/rules:
        - unconditionally use -no-sql-ibase and -Nlibqt3{,-mt}-ibase.

  * Transition to the new X.org packages:
    + debian/control:
      - build-depend in libglu1-xorg-dev instead of xlibmesa-glu-dev; make the
        same change in the dependencies of libqt3-dev and libqt3-mt-dev.
      - add libxinerama-dev and libxkbfile-dev to build-dependencies; add
        libxinerama-dev to the dependencies of libqt3-dev and libqt3-mt-dev as
        well (closes: #319305).
      - add libxi-dev to the dependencies of libqt3-dev and libqt3-mt-dev. [cm]

  * Transition to the new PostgreSQL 8.0 packaging (closes: #317500):
    + debian/control: build-depend on libpq-dev instead of postgresql-dev.
    + debian/rules: invoke pg_config to determine the include directory.

  * Don't modify debian/control at build time, since doing it in the clean
    target it's a release critical bug now:
    + debian/rules: don't invoke type-handling to generate debian/control.
    + debian/control.in: removed.
    + debian/control:
      - adjust the list of *-i386 ports to list only the non-dead ones.
      - don't build depend on type-handling.

  * Overhaul arch detection in debian/rules:
    - use DEB_HOST_ARCH instead of DEB_BUILD_GNU_CPU to detect arm.
    - use DEB_HOST_ARCH_CPU instead of DEB_BUILD_GNU_CPU to detect an i386 CPU
      (needs the new dpkg).

  +++ Changes by Christopher Martin:

  * Add sundry fixes from KDE's qt-copy. (Closes: #303065)

  * Fix qt3-designer's appearance in the KDE menu. (Closes: #290402)

  * Don't use lib64 on amd64. (Closes: #311562)

  * Don't duplicate the information in the qvfb manpage. (Closes: #282217)

    While we're at it, realize that a whole bunch of manpages were suffering
    the same, and fix them (designer, makeqpf, mergetr, findtr, msg2qm,
    qtconfig, createcw, qembed, qt20fix). [dato]

  * Add linguist manpage. Thanks to Jeremy Laine. (Closes: #268882)

  * Include createcw source for qt3-designer. (Closes: #305919)

  * Add missing qvfbhdr.h. (Closes: #182366, the qinterlacestyle.h
    mentioned in this bug report was already included in recent versions.)

  * Many minor changes to improve lintian compliance.

  * Bump Standards-Version to 3.6.2 (no changes required).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jul 2005 19:06:03 +0200

qt-x11-free (3:3.3.4-3) unstable; urgency=medium

  * ML: Remove an utterly ugly symlink for linux-g++ that pointed to my
        $HOME -- Trolltech strikes again!

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 15 Apr 2005 15:17:00 +0200

qt-x11-free (3:3.3.4-2) unstable; urgency=medium

  * ML: Try adding back the qt{-mt}.pc-files, let's see whether they work
  * ML: No others changes but re-building to get this into Sarge

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 2 Apr 2005 13:02:00 +0100

qt-x11-free (3:3.3.4-1) experimental; urgency=low

  * ML: New upstream release Qt 3.3.4 packages for Debian (Closes: #292422)
  * ML: patches/0048-qclipboard_hack_80072.patch: Fix the clipboard stuff 
        (Closes: #295828)
  * ML: patches/0061-qscrollview-propagate-horizontal-wheelevent.patch: Fix
        problems with horizontal scrollview
  * ML: Took patch from BTS by Andreas Jochens to fix the FTBFS on the amd64
        architecture (Closes: #288405)
  * ML: patches/19_security_fixes.dpatch: Removed this patch, incorporated 
        into upstream now.
  * ML: patches/20_qlocale_compile_arm.dpatch: Removed, incorporated into
        upstream as well.
  * ML: patches/17_fix_qfontdatabase_cpp.dpatch: Disabled for now, seems to 
        be fixed by upstream according to changelog

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 18 Mar 2005 15:57:00 +0100

qt-x11-free (3:3.3.3-8) unstable; urgency=high

  * ML: debian/control.in: Correct the Build-Depends: line to reflect latest
        changes for libpng and libmysql (Closes: #284441)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 14 Jan 2005 12:17:00 +0100

qt-x11-free (3:3.3.3-7) unstable; urgency=high

  * ML: debian/patches/21_fix_mips_mipsel.dpatch: To make it compile, even
        define => QMAKE_CFLAGS += -Wa,-xgot -- thanks to Thiemo Seufer

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 16 Nov 2004 19:37:00 +0100

qt-x11-free (3:3.3.3-6) unstable; urgency=high

  * ML: Addedd debian/patches/21_fix_mips_mipsel.dpatch to make the beast
    compile on MIPS/MIPSel again 

 -- Martin Loschwitz <madkiss@debian.org>  Sun, 14 Nov 2004 16:44:00 +0100

qt-x11-free (3:3.3.3-5) unstable; urgency=high

  * ML: Acknowledging NMU by Matthias Klose, thanks. (Closes: #270202)
  * ML: patches/04_qsql_odbc.dpatch: Fix Compilation of the iodbc stuff,
    breakage caused by invalid redefinitions of variables (Closes: #278781)
  * debian/rules: Delete .obj-directories in the clean-Target as requested
    by Fabio Massimo Di Nitto (thanks for noticing this)
 
 -- Martin Loschwitz <madkiss@debian.org>  Sun, 31 Oct 2004 10:51:00 +0100
  
qt-x11-free (3:3.3.3-4.1) unstable; urgency=high

  * NMU, maintainer doesn't show any reaction.
  * On arm-linux, configure using -DQT_QLOCALE_USES_FCVT. Seems to be a
    known issue, mentioned in the 3.3.2 release notes, but nowhere in
    the 3.3.3 sources. Great! Thanks to Paul Brook and Jan Niehusmann for
    the investigations. Closes: #270202.
  * Riku Voipio: Added patch: 20_qlocale_compile_arm.dpatch.
  * debian/patches/00list: add 20_qlocale_compile_arm.dpatch.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Sep 2004 17:01:16 +0200

qt-x11-free (3:3.3.3-4) unstable; urgency=high

  * ML: Applied patch from Marcus Meissner to fix broken XPM DoS not yet 
        fixed upstream [src/kernel/qimage.cpp, CAN-2004-0692]
  * ML: Applied patch forwarded by Marcus Meissner to fix broken GIF DoS
        unfixed upstream [src/kernel/qasyncimageio.cpp, CAN-2004-0693]
  * ML: urgency=high to get security fixes into sarge as quick as possible

 -- Martin Loschwitz <madkiss@debian.org>  Sun, 22 Aug 2004 11:48:00 +0200

qt-x11-free (3:3.3.3-3) unstable; urgency=high

  * ML:  Exchanged the dangling symlinks in /usr/share/qt3/lib with working
         symlinks to /usr/lib (thanks to Aurelien Jarno) (Closes: #266284)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 17 Aug 2004 17:35:00 +0200

qt-x11-free (3:3.3.3-2) unstable; urgency=high

  * ML: Bring back the goddamn qmake binary that silently disappeared (thank 
        you Trolltech for replacing it with a symlink) (Closes: #265958)

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 16 Aug 2004 00:31:00 +0200

qt-x11-free (3:3.3.3-1) unstable; urgency=high

  * ML: debian/control: Turned libqt3-headers and libqt3-compat-headers into
        Architecture: any. This should avoid blocking packages from testing
  * ML: debian/control: Added a patch by Robert Millan to add control.in to 
        fix breakage with iBase and OSes != Linux (Closes: #265413)
  * ML: debian/patches/16_fix_opengl_check.dpatch: Make QLibrary search for
        libGL.so.1, no dependency on libgl-dev packages (Closes: #264928)
  * ML: debian/patches/17_fix_qfontdatabase_cpp.dpatch: A patch taken from
        Lars Knoll via kde mailing list; fixes a problem with fond handling
  * ML: Re-Build against the latest iodbc to get back shlibs of it; previous 
        version didn't have shlins accidentally (kudos to Adrian Bunk)
  * ML: New Upstream Version (Qt 3.3.3), urgency is high to push this into
        sarge as soon as possible (Qt 3.2 is not acceptable)

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 14 Aug 2004 21:05:00 +0200

qt-x11-free (3:3.3.2-5) unstable; urgency=medium
  
  * ML: debian/rules: Fixed the debhelper calls, dh tried to install the
        iBase stuff (Architecture: i386) even on non-i386 architectures.
  * ML: Enable iBase for all Operating Systems instead of only for Linux
        on i386 (thanks to Robert Millan again)
  * ML: Severity is medium to not hold up KDE and tiff transition

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 08 Aug 2004 10:50:00 +0200

qt-x11-free (3:3.3.2-4) unstable; urgency=low

  * ML: iBase seems to be similar to the black helicopters. Once they got
        you there is no way to get rid of them. Disabled the iBase-Plugin
        for all arches except x86 - hopefully.

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 07 Aug 2004 22:13:00 +0200

qt-x11-free (3:3.3.2-3) unstable; urgency=low
  
  * ML: debian/control: Switch from Firebird1 to Firebird2

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 07 Aug 2004 16:33:00 +0200

qt-x11-free (3:3.3.2-2) unstable; urgency=low

  * ML: Let's have another try, this time with the right target distribution

  (verbatim copy of the 3:3.3.2-1 upload changelog follows)

  * ML: New Upstream (Qt 3.3.2) fixes:
          - Strange line /usr/lib/libqt-mt.la (Closes: #216063)
          - The wishlist-bugreport for it can be closed (Closes: #235394)
  * ML: Fixed the description of the following packages:
          - libqt3c102-mt-psql (Closes: #209735)
          - libqt3c102-mt-odbc (Closes: #209932)
          - qt3-examples (Closes: #210046)
          - libqt3c102-mt-mysql (Closes: #210097)
  * ML: Made qt3-assistant depend on qt3-doc (Closes: #256183)
  * ML: Adopted patches by Robert Millan to make Qt build on Hurd
          - Added patches/15_unify_declarations_glibc.dpatch
          - Fixed debian/rules to avoid E2BIG on Hurd
          Thanks, Robert!
  * ML: Use libmysqlclient12 instead of libmysqlclient10 (Closes: #188622)
  * ML: Use the OpenGL-libraries via dlopen (Closes: #257705)

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 07 Aug 2004 13:08:00 +0200

qt-x11-free (3:3.3.2-1) experimental; urgency=low

  * ML: New Upstream (Qt 3.3.2) fixes:
          - Strange line /usr/lib/libqt-mt.la (Closes: #216063)
          - The wishlist-bugreport for it can be closed (Closes: #235394)
  * ML: Fixed the description of the following packages:
          - libqt3c102-mt-psql (Closes: #209735)
          - libqt3c102-mt-odbc (Closes: #209932)
          - qt3-examples (Closes: #210046)
          - libqt3c102-mt-mysql (Closes: #210097)
  * ML: Made qt3-assistant depend on qt3-doc (Closes: #256183)
  * ML: Adopted patches by Robert Millan to make Qt build on Hurd
          - Added patches/15_unify_declarations_glibc.dpatch
          - Fixed debian/rules to avoid E2BIG on Hurd
          Thanks, Robert!
  * ML: Use libmysqlclient12 instead of libmysqlclient10 (Closes: #188622)
  * ML: Use the OpenGL-libraries via dlopen (Closes: #257705)

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 07 Aug 2004 09:50:00 +0200
   
qt-x11-free (3:3.3.2-0pre2) experimental; urgency=low

  * ML: Added qaccessible.h to the list of headers
  * ML: Removed unnecessary dependencies again
  * ML: Added patch to fix KDE menu problem
  * ML: Build and include the source in upload now

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 14 Jun 2004 21:23:00 +0200

qt-x11-free (3:3.3.2-0pre1) experimental; urgency=low

  * ML: First public version of packages for Qt 3.3
  * ML: Added packages for ibase and SQLite RDBMSs
  * ML: Necessary Adaptions from the Qt 3.2 to Qt 3.3 packages

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 12 Jun 2004 21:09:00 +0200

qt-x11-free (3:3.2.3-3) unstable; urgency=low

  * ML: Re-enabled STL support in Qt (Closes: #194475, #242633)
  * ML: Enabled XRandr support (Closes: #253593)
  * ML: Fixed FTBFS cursed by XCursor (Closes: #246198)
  * ML: Split xlibs-dev dependencies (Closes: #253325)
  * ML: Disabled the Xinerama_pic-hack (XFree 4.3 made it useless)

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 10 Jun 2004 12:07:00 +0200


qt-x11-free (3:3.2.3-2) unstable; urgency=low

  * ML: Rebuild to get back PIC-libs

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 22 Jan 2004 15:23:00 +0100

qt-x11-free (3:3.2.3-1) unstable; urgency=low

  * ML: New upstream release (Qt 3.2.3) (Closes: #218464)
  * ML: Add Replaces: for libqt3-emb (<= 3:3.0.3-1) (Closes: #218290)
  * ML: Tuned libqt3-i18n package description (Closes: #208904)
  * ML: Tuned qt3-qtconfig package description (Closes: #209259)
  * ML: Removed some patches that were merged by upstream (#1, #8, #9, #10)
  * ML: Don't include any of the .pc files; they're unsupported now
  * ML: Don't include any of the .la files: they're not working now

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 06 Jan 2004 09:54:00 +0100

qt-x11-free (3:3.2.1-6) unstable; urgency=low

  * ML: Added dependency to libqt3{-mt}-dev for xlibs-pic (Closes: #213855)
  * ML: Sanify qmake.conf files to have existing paths instead of $(QTDIR)
  * ML: Sanify qt{-mt}.pc files to have correct values
  * ML: Bumped Standards-Version to 3.6.1 (No changes)
  * ML: Added debian/compat
  * ML: Added patch by Simon Hausmann to fix generation of pkgcof files
  
 -- Martin Loschwitz <madkiss@debian.org>  Sun, 05 Oct 2003 11:24:00 +0200
 
qt-x11-free (3:3.2.1-5) unstable; urgency=low

  * ML: Let's build styles into the library, instead of as plugins 
        (Closes: #197157)
  * ML: Added build dependency for libaudio-dev to libqt3{-mt}-dev
        (Closes: #210628, #210994, #212530)
  * ML: Removed broken patches for mips and mipsel
        (Closes: #210366)
  * ML: Added patch by Dirk Mueller to fix kdesktop and other applications

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 29 Sep 2003 19:35:00 +0200

qt-x11-free (3:3.2.1-4) unstable; urgency=low

  * ML: re-add the fontlist fix from previous versions 
  * ML: Added dependencies for libxft2-dev, libxrender-dev and libxcursor-dev
        to the -dev packages (Closes: #208421)
  * ML: Changed description of libqt3-plugins-headers package
  * ML: Added patch by Lars Knoll to prevent generation of bogus mouse events
  * RN: move unixmake2.cpp patch (approved by TT)
  * RN: add qlineedit.cpp patch (approved by TT)
  * RN: re-add pkg-config files
 
 -- Martin Loschwitz <madkiss@debian.org>  Wed, 3 Sep 2003 18:30:00 +0200

qt-x11-free (3:3.2.1-3) unstable; urgency=low

  * ML: Added patches/01_fix_mips_mipsel.dpatch (hopefully fixes mips[el] build)
  * ML: Merged the patch added in previous release with the above one
  * ML: For -1: Pass --sysconfdir and --translationdir options to ./configure
  * ML: Enable support for Xcursor in debian/rules (on Ralf's request)
  * RN: Copy qmake.cache file to the appropriate location (/usr/share/qt3/)
  * RN: Include fix for unixmake2.cpp (libtool and pkgconfig)

 -- Martin Loschwitz <madkiss@debian.org>  Sun, 31 Aug 2003 18:41:00 +0200

qt-x11-free (3:3.2.1-2) unstable; urgency=low

  * ML: Build the qmake tool with -O2 as optimization flag (Closes: #207915)
  * ML: Call dh_gencontrol with -a in debian/rules (Closes: #207917)

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 30 Aug 2003 21:16:00 +0200

qt-x11-free (3:3.2.1-1) unstable; urgency=low

  * ML: New upstream version (Qt 3.2.1) (Closes: #204650)
  * ML: Include all icon files for the Qt designer -- hopefully

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 29 Aug 2003 14:59:00 +0200

qt-x11-free (3:3.1.1-9) unstable; urgency=low

  * ML: debian/control: Point out that libqt3-compat-headers might be of
        importance (with Recommends and addition to package description,
        Ben, I hope this satisfies you for now) 
  * ML: debian/rules Fix for-fork with patch from BTS (Closes: #188536)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 15 Jul 2003 19:45:00 +0200

qt-x11-free (3:3.1.1-8) unstable; urgency=low

  * ML: Apply patch from Kevin Puetz to fix font listing (Closes: #189750)
  * ML: Don't rely on /usr/share/doc, remove qtrc crap (Closes: #189755)
  * ML: Give the qt3-things a higher priority than the qt2 ones (Closes: #189755)
  * ML: debian/qt3-qtconfig.menu: Moved to Settings section (Closes: #183827)
  * ML: debian/copyright: Mention Qt3.1 instead of Qt2.2 (Closes: #185161)
  * ML: debian/libqt3-plugins-headers: Added qinterlacestyle.h (Closes: #182259)
  * ML: Have libqt3-dev and libqt3-mt-dev in the libdevel section
  * RN: debian/control: Add libxft2-dev as dependency for -dev-packages
  
 -- Martin Loschwitz <madkiss@debian.org>  Sat, 10 May 2003 14:55:00 +0200
 
qt-x11-free (3:3.1.1-7) unstable; urgency=low

  * ML: The "Arg, can somebody purge typod please?"-release
    - debian/control: Fixed corrupt Build-Depends: line
    - debian/patches: Made the xinerama_pic patch i386-only
    - debian/control: Removed unnecessary xlibs-pic Depends:

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 07 Feb 2003 15:44:00 +0100

qt-x11-free (3:3.1.1-6) unstable; urgency=low

  * ML: Build with lXinerama_pic (for -fPIC) (Closes: #176071, #175075)
  * ML: debian/rules: Convert to dpatch package
  * ML: debian/control: Change Maintainer Address
  * ML: debian/control: Have fontconfig as Depends:
  * ML: debian/control: Fix {Build-}Dependencies for GLU libs (Closes: #182184)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 06 Feb 2003 18:40:00 +0100

qt-x11-free (3:3.1.1-5) unstable; urgency=low

  * ML: Added Build-Dependency for xlibmesa-glu-dev to fix FTBFS
  * ML: Updated debian/patches/01 to reflect latest qt-copy changes
  * ML: Removed patch for hppa (was needed to fix FTBFS)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 22 Feb 2003 08:47:00 +0100
 
qt-x11-free (3:3.1.1-4) unstable; urgency=low

  * RN: debian/rules: remove byacc commands
  * RN: debian/rules: Change back to srcdir = builddir mechanism
  * RN: debian/patches: Help to remove some unused patches
  * RN: debian/maintain: Help to get rid of copying qmake.conf files around
  * RN: debian/rules: Clean up the 'clean' target, make it work again
  * RN: debian/qt3-doc.links: Fix breakage for man-link
  * RN: debian/libqt3{mt-dev,dev}: Create plugins symlink
  * ML: debian/control: Remove xlibmesa-dev dependencies (Closes: #181202)
  * ML: debian/control: Change libqt3-headers back to arch=all
  * ML: debian/patches: Added patch to make sure hppa compiles as it should
  * ML: Create seperate qconfig.h files for non-mt/mt (Conflicts for -dev!)

 -- Martin Loschwitz <madkiss@madkiss.org>  Tue, 18 Feb 2003 19:26:00 +0100
 
qt-x11-free (3:3.1.1-3) unstable; urgency=low

  * RN: debian/libqt3-plugins-headers.install: Removed headers for codecs
  * RN: debian/rules: Fix paths in .prl-files after build has finished
  * RN: debian/libqt3-headers.install: Include some more includes files
  * ML: Ship src/attic as .tar.gz in libqt3-compat-headers (it's obsolete, anyway)
  * ML: Broke out qt3-examples package (saves place in -doc-package and makes sense)
  * ML: debian/maintain/qmake*.conf: Applied patch by Brian Nelson (Closes: #180326)
  * ML: Added debian/maintain/fixqc.sh to fix qmake.cache files during install

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed, 12 Feb 2003 16:31:00 +0100
 
qt-x11-free (3:3.1.1-2pre3v1) unstable; urgency=low

  * New package: libqt3-compat-headers (Thanks to Ralf Nolden again)
  * debian/patches/01_qtcopy_20030206.dpatch: Updated to qtcopy from 20030206
  * debian/libqt3-mt-dev.install: Move QGL classes here since QGL only works with mt
  * debian/rules: Install .prl files to /usr/share/qt3/lib/
  * debian/rules: Include logo32.png is every html-documentation
  * debian/libqt3c102-mt.links: Symlinks for libqui
  * debian/maintain/{qtconfig,assistant}.desktop: Fix section in menu file
  * debian/rules: Include qmake documentation
  * debian/rules: remove qwindowsxpstyle.h
  * debian/rules: Moved README.Debian to -dev-packages (Closes: #179932)
  * debian/README.Debian: New Version with max 75 chars per line (Closes: #179408)
  * debian/control: Corrected Suggests: fields (Closes: #179838)
  * deban/maintain/qtconfig.desktop: New Version, works Ok now (Closes: #179773)
  * debian/control: libqt3c102-mt now conflicts with libqui1-emb (Closes: #179759)
  * debian/control: qt3-dev-tools now conflicts with qte3-designer (Closes: #179761)
  * debian/qt3-dev-tools.links: Make setting of QMAKESPEC unnecessary (Closes: #178296)
  * debian/qt3-doc.doc-base: Finally, fix doc-base stuff (Closes: #155566)
  * debian/control: libqt3c102 and -mt don't conflict with libqt (Closes: #179768)
  * debian/control: Depend on xlibmesa-gl-dev | libgl-dev
  * debian/control: Added Conflicts: for unofficial libqt3c-packages (Closes: #180078)
  * debian/rules: Don't provide static libraries any longer (Waiting for policy approval!)
  * debian/rules: Header-directory now is /usr/include/qt3
  * debian/rules: build the -non-mt version before the -mt-version
  * For 3:3.1.1-2: Added Conflicts: for qt3-dev-tools <-> uic (Closes: #179396)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 8 Feb 2003 09:34:00 +0100

qt-x11-free (3:3.1.1-2) unstable; urgency=low

  * debian/qt3-dev-tools.install: Include mkspecs for qmake (Closes: #179410)
  * debian/rules: Include logo32.png in qt3-docs (Closes: #179437)
  * debian/control: qt3-dev-tools now has Conflicts: for libqt-dev (moc!)
  * debian/control: Fix Build-Depends: to be xlibmesa-gl-dev instead of -glu-dev.
  * debian/*.links: Readded symlinks for /usr/share/qt3/bin/ (Closes: #179411)
  * debian/rules: Remove undocumented Symlinks (they are deprecated)
  * -dev-packages should not depend on libqt3-plugins-headers (Closes: #179429)
  * This was fixed in 3:3.1.1-1 (Closes: #179155)
  * debian/maintain/qmake*.conf: Fix errors causing FTBFS on hppa/alpha (Closes: #179582)
  * debian/control: Make libqt3-dev/-mt-dev depend on xlibmesa-gl-dev (Closes: #179573)
  
 -- Martin Loschwitz <madkiss@madkiss.org>  Mon, 3 Feb 2003 12:49:00 +0100
 
qt-x11-free (3:3.1.1-1) unstable; urgency=low

  * The packages have been redesigned radically.
    - New packages: libqt3-headers, libqt3-i18n, libqt3-plugins-headers,
      qt3-apps-dev, qt3-assistant, qt3-designer, qt3-dev-tools-compat,
      qt3-dev-tools-embedded, qt3-dev-tools, qt3-linguist, qt3-qtconfig (Closes: #178914)
    - Please refer to package descriptions for more detailed informations.
    - As you can see above, QtConfig was moved into its own package. (Closes: #153538)
    - Also made sure that qt3-designer contains libcppeditor.so (Closes: #155792)
  * Special Thanks for advising and help with this release goes to Ralf Nolden
  * debian/control: Make libqt3/libqt3-mt depend on fontconfig (Closes: #174825, #173951)
  * debian/control: Transist package to g++-3.2 (Closes: #159263, #135813, #178484, #176616)
  * Package rebuilt, thus some bugs fixed. (Closes: #178698, #174959, #176827)
  * debian/rules: Provide conv2ui, also qvfb was added back. (Closes: #173932)
  * Bugs against packages in stable distribution don't make much sense.
    Additionally, this is not a bug but a feature (Qt2 <-> Qt3 conflict) (Closes: #178660)
  * Same as above. Additionally, please make sure to use libqt3-mt-dev instead
    of libqt3-dev (Closes: #168317)
  * This bug definetely can not happen anymore, since Qt3 takes care of
    creation of debian/tmp-install (Closes: #163075)
  * debian/README.Debian: Updated and extended by Ralf Nolden
  * debian/patches/02_missing_manpages.dpatch: Don't apply against qt-copy
  * debian/patches/10_qvfb_cpp.dpatch: Fix qvfb to meet our needs
  * debian/patches/11_designer_fix.dpatch: Fix designer breakage
  * debian/patches/12_plugins_fix.dpatch: Build all available plugins
  * debian/patches/13_qtcopy_20030128.dpatch: Include qt-copy 20030128
  * debian/*: Various other little fixes and cleanups
  * debian/rules: Moved /usr/share/qt to be /usr/share/qt3

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed, 29 Jan 2003 16:58:00 +0100

qt-x11-free (2:3.1.1+cvs.20021220-1) unstable; urgency=low

  * New Upstream version (Qt 3.1.1, using qt-copy from KDE project)
  * Special thanks goes to Kevin Puetz for support and work on this release
  * debian/patches/: Removed patches 05 and 06 and added correct -I's to rules
  * debian/rules: don't build unthreaded plugins with QT_THREAD_SUPPORT (Closes: #172793)
  * debian/control: Fix description of libqt3-helper (Closes: #72754)
  * debian/rules: Moved libqui to libqt3-helper (Closes: #173539, #173537)
  * debian/libqt3-dev.install: Only include useful bits for qmake
  * debian/maintain/qmake-hppa.conf: Added -ftemplate-depth-99 (Closes: #173086)
  * debian/rules: Make sure OpenGL support is enabled on threaded builds
  * debian/rules: Use new srcdir != builddir technology, large cleanup
  * debian/rules: Fixed path for html-files (remove the double html)
  * debian/control: Added Replaces: to libqt3-helper for libqt3 (Closes: #173288)
  * debian/rules: Removed all those ugly wrapper scripts (bah!)
  * debian/control: Added build-dependency for Xft2 - thus Xft2 enabled

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 20 Dec 2002 17:53:00 +0100
 
qt-x11-free (2:3.1.0+cvs.20021205-1) unstable; urgency=low

  * New Upstream version (Qt 3.1.0, using qt-copy from KDE project) (Closes: #167001)
  * debian/control: Make libqt3-dev depending on correct packages (Closes: #167475)
  * debian/rules: Enabled Qt support for cups
  * debian/overrides/: Added overrides-files for various packages
  * debian/control: depend on libaudio instead of nas-lib
  * debian/control: Updated Standards-Version to 3.8.0
  * debian/rules: Use DH_COMPAT=4
  * debian/rules: Converted to dh_install

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 05 Dec 2002 14:10:00 +0100
 
qt-x11-free (2:3.0.5-4) unstable; urgency=low

  * debian/09_assistant.dpatch: Fix doc-dir-path for Qt-assistant (Closes: #148924)
  * debian/10_sizet_64bit.dpatch: Fix for 64bit machines (Closes: #159364)
  * debian/11_qsql_odbc.dpatch: build with libiodbc2-dev
  * debian/control: Build-Depend on libiodbc2-dev (Closes: #161352, #161353)
  * qt3-doc _should_ be Recommends (assistant/qt3-tools needs it) (Closes: #149428)
  * debian/rules: Fixed the 'clean'-target (Closes: #159264)
  * debian/libqt3-dev.links: Symlink for /usr/share/qt/lib (Closes: #152507, #152509)
  * debian/control: Updates Standards-Version
  * debian/control: Tried to solve the dependency hell a bit
  * debian/control: Removed libqt3 Suggests for anti-aliasing-howto
  * debian/rules: Re-enabled NAS (Network Audio System)
  * Must be a local problem (there ARE files in libqt3-dev) (Closes: #159674)
  * Not a Qt bug; has been fixed probably long time ago (Closes: #154976)
  
 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 15 Oct 2002 09:29:00 +0200

qt-x11-free (2:3.0.5-3) unstable; urgency=low

  * Sometimes our buildds do strange things (Closes: #155258)
  * debian/rules: added shlibdeps-path for libqt3-mt.
  * debian/rules: libqt3-mysql, libqt3-odbc and libqt3-psql contain the
    unthreaded plugins now (Closes: #152022)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 9 Aug 2002 22:18:00 +0200
     
qt-x11-free (2:3.0.5-2) unstable; urgency=low

  * debian/control: qt3-dev and qt3-doc are "Priority: extra" now.
  * debian/rules: Fix alpha and hppa build (Closes: #150917)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 2 Aug 2002 12:43:00 +0200

qt-x11-free (2:3.0.5-1) unstable; urgency=low

  * debian/control: New Maintainer (Closes: #153534)
  * debian/maintain: fix hppa build (qmake-hppa.conf) (Closes: #150917)
  * debian/changelog: New upstream version 3.0.5 (Closes: #153266)
  * debian/rules: We use dpatch now, thanks to Gergely Nagy
  * Moved wrapper files and configs to debian/maintain/
  * debian/maintain/assistant.sh: not include content double
  * configure: Set "QT_INSTALL_PLUGINS" correct
  * Changed some includes in the SQL-files to make them working
  * debian/control: Fix some build dependencies
  * debian/patches: All patches against upstream can be found here now.
  * debian/control: Depend on libpng3-dev (Closes: #154234).

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 27 Jul 2002 13:51:00 +0200
     
qt-x11-free (2:3.0.4-2) unstable; urgency=low

  * Fix hppa build hopefully (Closes: #150917)
  * Build cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 26 Jun 2002 13:28:00 -0700

qt-x11-free (2:3.0.4-1) unstable; urgency=low

  * New upstream version
  * Fix qt-designer html access (Closes: #149505)
  * Build postgresql modules 
  * This was fixed a while ago.  (Closes: #134637)
  * Build static libs again.  yuk!  Who the heck uses these anymore? 
    (Closes: #147084)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Jun 2002 12:25:00 -0700

qt-copy (2:3.0.3-20020329-7) unstable; urgency=low

  * move html files to html subdir...really...I mean it. (Closes: #149076)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 06 Jun 2002 11:31:00 -0700

qt-copy (2:3.0.3-20020329-6) unstable; urgency=low

  * Remove unused doc dirs. (Closes: #148595)
  * move html files to html subdir 

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 30 May 2002 22:58:00 -0700

qt-copy (2:3.0.3-20020329-5) unstable; urgency=low

  * Fix assistant by providing a wrapper (Closes: #146255)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 May 2002 17:21:00 -0700

qt-copy (2:3.0.3-20020329-4) unstable; urgency=low

  * Remove extra .'s from descriptions

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 03 May 2002 23:20:00 -0700

qt-copy (2:3.0.3-20020329-3) unstable; urgency=low

  * Fix priority (Closes: #145193)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 30 Apr 2002 00:27:00 -0700

qt-copy (2:3.0.3-20020329-2) unstable; urgency=low

  * Fix overwrite issue (Closes: #141803, #141639)
  * Re-add all the additional man pages 

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 23 Apr 2002 00:27:00 -0700

qt-copy (2:3.0.3-20020329-1) unstable; urgency=low

  * Updated qt-copy to fix a few other bugs (Closes: #140462)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 29 Mar 2002 09:08:00 -0700

qt-copy (2:3.0.3-20020314-5) unstable; urgency=low

  * Fix potential crash...thanks Daniel

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Mar 2002 02:30:00 -0700

qt-copy (2:3.0.3-20020314-4) unstable; urgency=low

  * Don't build motif style as a plugin.  It's pretty much the default so
    let's have that builtin.
  * Fix plugin pathing...actually this was a bug in the configure script
    where it wasn't setting the proper items in the qconfig.h file
    (Closes: #139449)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Mar 2002 10:36:00 -0700

qt-copy (2:3.0.3-20020314-3) unstable; urgency=low

  * Since this is still in incoming..change from a build-conflict to a 
    versioned depend

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Mar 2002 11:00:00 -0700

qt-copy (2:3.0.3-20020314-2) unstable; urgency=low
 
  * Build-Conflict with libpng2-dev since it provides libpng-dev and we don't
    want any of those problems.

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 15 Mar 2002 20:00:00 -0700

qt-copy (2:3.0.3-20020314-1) unstable; urgency=low

  * New upstream version.  
  * Includes updated zlib code

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 14 Mar 2002 12:31:00 -0700

qt-copy (2:3.0.2-20020306-1) unstable; urgency=low

  * New upstream version.  Using qt-copy as it provides a bunch of fixes
    for 3.0.2. (Closes: #135865)
  * Fix suggests for libqt3-psql
  * link to new png.  Need this otherwise we are stuck with using the old
    png library for quite some time.
  * Fix cleanup (Closes: #135859)
  * Include -mt versions of plugins.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 06 Mar 2002 23:37:00 -0700

qt-copy (2:3.0.0.0-4) unstable; urgency=low

  * Fix qmake.cache inclusion (Closes: #118623)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Nov 2001 11:37:00 -0700

qt-x11-free (2:3.0.0.0-3) unstable; urgency=low

  * wrap uic so QTDIR is set for it...makes plugins happier

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 31 Oct 2001 09:19:00 -0700

qt-x11-free (2:3.0.0.0-2) unstable; urgency=low

  * Enable gl support.  If it get's whacky like qt2 did we'll break it
    off into it's own package.  But until then we'll just do it this way.
  * Fix wrapper (Closes: #116734)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Oct 2001 12:55:00 -0700

qt-x11-free (2:3.0.0.0-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Oct 2001 11:54:00 -0700

qt-x11-free (2:3.0.0-0beta6-4) unstable; urgency=low

  * Don't compile in xinerama support...lets actually build on all archs

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Oct 2001 16:00:00 -0700

qt-x11-free (2:3.0.0-0beta6-3) unstable; urgency=low

  * Properly include private include files
  * Provide links from /usr/bin/ qt bins to /usr/share/qt/bin

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Oct 2001 16:00:00 -0700

qt-x11-free (2:3.0.0-0beta6-2) unstable; urgency=low

  * Properly include include files (Closes: #114357)
  * Pass variables onto designer (Closes: #114271)
  * Add new variable to qmake.sh (Closes: #113341)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Oct 2001 16:11:00 -0700

qt-x11-free (2:3.0.0-0beta6-1) unstable; urgency=low

  * New upstream beta

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Oct 2001 11:04:00 -0700

qt-x11-free (2:3.0.0-0beta5-2) unstable; urgency=low

  * Fix shlibs (Closes: #113055)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 Sep 2001 18:41:00 -0700

qt-x11-free (2:3.0.0-0beta5-1) unstable; urgency=low

  * New upstream beta

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 18 Sep 2001 09:56:00 -0700

qt-x11-free (2:3.0.0-0beta4-2) unstable; urgency=low

  * Provide threaded QT library
  * Cleanup deps
  * Set shlibs files
  * Remove -O2 from alpha build and add -mieee
  * don't use gcc3 for alpha build anymore

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 08 Sep 2001 09:57:00 -0700

qt-x11-free (2:3.0.0-0beta4-1) unstable; urgency=low

  * New upstream beta
  * Lintian error cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 29 Aug 2001 20:52:00 -0700

qt-x11-free (2:3.0.0-0beta3-2) unstable; urgency=low
 
  * Fix path issues for documentation (Closes: #109255)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Aug 2001 00:01:00 -0700

qt-x11-free (2:3.0.0-0beta3-1) unstable; urgency=low
 
  * new upstream beta
  * Include mkspecs bits for qmake
  * include qmake wrapper
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 03:36:00 -0700

qt-x11-free (2:3.0.0-0beta2-3) unstable; urgency=low
 
  * drop Optimization down for other archs
  * *should* fix m68k build (Closes: #104043)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 17 Jul 2001 15:47:00 -0700

qt-x11-free (2:3.0.0-0beta2-2) unstable; urgency=low
 
  * actually include libqxt.so so people can build packages against it
  * Remove the suggests for anti-aliasing-howto from the plugin packages
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Jul 2001 03:50:00 -0700

qt-x11-free (2:3.0.0-0beta2-1) unstable; urgency=low
 
  * New upstream beta
  * Ok, now we break out libqxt0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Jul 2001 12:46:00 -0700

qt-x11-free (3.0.0-0beta1-6) unstable; urgency=low
 
  * Add missing build-depend for flex (Closes: #102978, #102984)
  * Add conflict with libqxt0 (Closes: #102959)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 01 Jul 2001 08:32:00 -0700

qt-x11-free (3.0.0-0beta1-5) unstable; urgency=low
 
  * ok..I'll get this stuff worked out soon.  Fix gl build bits
    (Closes: #102849)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 00:27:00 -0700

qt-x11-free (3.0.0-0beta1-4) unstable; urgency=low
 
  * Include qmake in libqt3-dev package
  * Build database modules and provide seperate packages for them
  * Build styles and provide them in libqt3 package
  * Actually install designer plugins...guess that might help.
  * More build cleanup...properly build all the tools/* modules
  * Update build-depends
  * Actually include linguist desktop file
  * Include interface files as well
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 28 Jun 2001 22:03:00 -0700

qt-x11-free (3.0.0-0beta1-3) unstable; urgency=low
 
  * Fix libqui1 deps (Closes: #100804)
  * Fix qmake symlink (Closes: #100964)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Jun 2001 19:40:00 -0700

qt-x11-free (3.0.0-0beta1-2) unstable; urgency=low
 
  * Fix dependencies for libqt3-dev...grrr
  * Fix description for qt3-tools
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Jun 2001 21:00:00 -0700

qt-x11-free (3.0.0-0beta1-1) unstable; urgency=low
 
  * New upstream beta version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 26 May 2001 11:06:00 -0700

qt-x11 (2:2.3.0-final-5) unstable; urgency=low
 
  * Fix LD PATH problems due to new fakeroot routines (Closes: #98068)
  * Get rid of gl specific package and just build main package with gl support
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 25 May 2001 00:25:00 -0700

qt-x11 (2:2.3.0-final-4) unstable; urgency=low
 
  * Fix konsole accents (Closes: #96678)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 11 May 2001 10:27:00 -0700

qt-x11 (2:2.3.0-final-3) unstable; urgency=low
 
  * More alpha tweaks (only remove optimization for CXXFLAGS)
  * Update bulid flags (Closes: #90334)
  * Updating shlibs to stop problem with people using old libqt2 packages
  * Several upstream fixes pulled out of the qt-copy CVS tree on KDE's
    CVS Repository
  * Build fixes for systems that do not have qt installed on them already
  * Remove old Xft build hacks since we are using x4.0.3 now
  * Update build-depends since we now require x4.0.3
  * Build libqt2-mt with opengl support (Closes: #91989)
  * Build static libs with opengl support as well
  * Remove old -dev provides which fixes buildd problems
  * Get rid of 2.2 dummy packages libqt2.2 and libqt2.2-gl
  * Update Build-Depends and other Depends that were pointing to provided or
    pseudo packages.  Have them point to a real package | pseudo package.
  * Add new kde menu tag to qt-designer
  * Add new libqxt0 pacakge so that in the future we don't have a confliction
    with libqt3 and libqt2 since most likely libqxt soname won't change.
  * Adding in lintian overrides finally
  * Updating standards version
  * Remove old hacks in debian/rules
  * Should fix pure_virtual problems (Closes: #94676)
  * Apply i18n patches (qclipboard, qstring, xim)
  * Building with system png again

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 May 2001 22:42:00 -0700

qt-x11 (2:2.3.0-final-2) unstable; urgency=low
 
  * test build
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 07 Mar 2001 13:26:00 -0700

qt-x11 (2:2.3.0-final-1) unstable; urgency=low
 
  * New upstream version
  * Applied xft workaround patch
  * versioning the depends
  * Adding in alpha specific build code so that it will build out of the
    box.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Mar 2001 13:26:00 -0700

qt-x11 (2:2.3.0-beta1-3) unstable; urgency=low
 
  * Various patches applied from qt-copy branch of kde cvs.  These include
    several upstream fixes that were done post beta-1 and will be a part of
    the next release.
      LANG=he_IL.iso8859-8 will work correctly now.
      .fontguess file now accepts quoted font names (so you can use font anmes 
        with white space inside)
  * Konq's combobox works again
  * Include xt extension (Closes: #88147)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 01 Mar 2001 09:17:00 -0700

qt-x11 (2:2.3.0-beta1-2) unstable; urgency=low
 
   * Fix grave bug with xft (Closes: #87758)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Feb 2001 23:22:00 -0700

qt-x11 (2:2.3.0-beta1-1) unstable; urgency=low
 
   * New upstream version
   * Don't clean everything out of bin/ after each stage as some pieces are
     scripts that don't get built
   * Fix Depends for libqutil1
   * Change version for kde-designer replace/conflicts so that one can actually
     install kde-designer (Closes: #87223)
   * Change doc package to qt-doc
   * Let's go back to libqt2 and get away from libqt2.x. Providing migration
     packages as to not totally hose people up right away.  These will go
     away prior to freeze.
   * Build with XFT support - Anti Aliasing
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 23 Feb 2001 06:23:00 -0700

qt-x11 (2:2.2.4-5) unstable; urgency=low
 
   * Fix qt-mt package (Closes: #85132)
     building of the tools cause the mt library to get hosed somehow
   * Fix -dev depends for mt-dev
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 17 Feb 2001 00:42:00 -0700

qt-x11 (2:2.2.4-4) unstable; urgency=low
 
   * Break out uic and libqutil.  This allows for developers not to need
     qt-designer to build packages and also takes care of the fact that
     libqutil is common.
   * Changing dev packages to libqt-dev and libqt-mt-dev 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 15 Feb 2001 02:30:00 -0700

qt-x11 (2:2.2.4-3) unstable; urgency=low
 
   * Fix pathing for qt-designer for #85493
   * Change qt-designer's Depends on qt2.2-doc to Recommends (Closes: #85486)
   * Adding in Perl depends properly for libqt2.2-dev
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 10 Feb 2001 17:30:00 -0700

qt-x11 (2:2.2.4-2) unstable; urgency=low
  
   * Include findtr (Closes: 85439)
   * Build against new libmng
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 09 Feb 2001 16:30:00 -0700

qt-x11 (2:2.2.4-1) unstable; urgency=low
 
   * New upstream version
     On X11, popup menus do not grab the keyboard anymore, but rely on and 
     enforce the application to have focus. This works around an X11 bug
     where deadkeys do not work while the keyboard is grabbed.
     See QT changelog for full list of updates
   * Installing ui templates so that Designer doesn't complain.
   * Adding in suggests for tmake
   * Moving libqutil and uic over to designer package where they belong
   * Moving away from /usr/lib/qt2 - 
        /usr/share/qt would have links for include/docs/man
        it will also store all other pieces such as the ui templates for
        designer.  
   * Cleaning up post/pre scripts, docs, etc. libqt2.2 package doesn't need
     development docs and information...move it into -dev package
   * Creating createcw and associated libs for use with designer
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 02 Feb 2001 16:30:00 -0700

qt2.2 (2:2.2.3-12) unstable; urgency=low
 
   * Only build designer once, using the shared libraries. This will cut
     down on build time.
   * Moving man pages into /usr/share/man tree
   * Do not duplicate header files for examples and tools.  
   * Don't copy the tools/ directory tree since we build them already, if
     someone wants the source to them they can dl the orig.tar.gz
   * Don't remove the Makefile's during a clean so that we can include them 
     with the examples and tutorial
   * Adding in a Debian menu entry for QT Designer
   * Cleaning up descriptions to show where man pages were (since they were
     still being referenced in the -dev package
   * Adding note in README.Debian on how to build the examples and tutorial
   * Compressing tutorial and examples to save on space by default.  People
     can then uncompress them if them want to use them.
   * Cleaning up post/pre scripts
   * Cleaning up diff
   * Upstream patch applied for "dead keys" in qpopups - this is part of a
     fix for Bug 82967.
   * fix for setNamedColor parsing problem
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 27 Jan 2001 07:25:00 -0700

qt2.2 (2:2.2.3-11) unstable; urgency=low
 
   * Removing libpth-dev from depends
   * One more upstream crash/bug fix in qasyncimageio
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 24 Jan 2001 18:41:00 -0700

qt2.2 (2:2.2.3-10) unstable; urgency=low
 
   * Fixing libqt2.2-dev dependencies.  Adding libz-dev, xlibs-dev, libpng2-dev,
     libjpeg62-dev, libmng-dev. (Closes: #83298)
   * Adding uic information to libqt2.2-dev's description
   * More crash fixes for graphics manipulation
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 23 Jan 2001 14:13:00 -0700

qt2.2 (2:2.2.3-9) unstable; urgency=low
 
   * Fix a crash problem with qimage
   * More i18n
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 00:10:00 -0700

qt2.2 (2:2.2.3-8) unstable; urgency=low
 
   * More upstream fixes...moving towards 2.2.4
     i18n work
     bug fixes
   * Removing old i18n patches 
   * fixing qt-designer section
   * Build against new version of MNG
   * Update build-depends
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 20 Jan 2001 01:28:00 -0700

qt2.2 (2:2.2.3-7) unstable; urgency=low
 
   * Moving tools/ includes to /usr/share/doc/qt2.2-doc/tools/includes
     Apparantly they were causing problems with some apps
   * Updating build-depends
   * New upstream fixes
     printing when your display has a resolution != 75 dpi
     true type and type1 fonts will now get embedded into the document. This
     fixes printing in almost all 8bit locales, *if* you are using these
     fonts.
     OK button fix
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 17 Jan 2001 16:05:00 -0700

qt2.2 (2:2.2.3-6) unstable; urgency=low
 
   * New i18n patches - submitted upstream finally it seems
   * Cleanup of build-depends and depends.  
   * Creating a non-kde designer package
   * Upstream i18n updates out of future 2.2.4 release.
   * Fix print dialog problem - thanks to Michael Lachmann <dirk@santafe.edu>

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 15:30:00 -0700

qt2.2 (2:2.2.3-5) unstable; urgency=low
 
   * Cleaning up depends/provides/conflicts
     We are the only qt package for unstable so lets act like it.
   * new i18n patch for qpsprinter
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 10 Jan 2001 16:00:00 -0700

qt2.2 (2:2.2.3-4) unstable; urgency=low
 
   * New i18n patches
   * More build fixes
    
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 03:31:00 -0700

qt2.2 (2:2.2.3-3) unstable; urgency=low
 
  * Applying Anti-Aliasing patch
  * Adjusting Build-Depends as we now must have the latest X4
  * Adding libfreetyp6-dev to Build-Depends
  * Fixing document links (Closes: #79876)
  * New i18n patch update for qpsprinter
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 01:13:00 -0700

qt2.2 (2:2.2.3-2) unstable; urgency=low
 
  * More build fixes...arggg...
  * Applying new i18n patches for 2.2.3 and removing old 2.2.2 hacks
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 14 Dec 2000 16:27:00 -0700

qt2.2 (2:2.2.3-1) unstable; urgency=low
 
  * New upstream version
  * Cleaning up build process
  * Removing Mesa specific GL code as before
  * Including new tools - qconfig, qvfb, makeqpf, and qembed
  * Applying qscrollview patch from QT via <j.w.greven@student.utwente.nl>
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 14:45:00 -0700

qt2.2 (2:2.2.2-12) unstable; urgency=low
 
  * New ad hoc xim patch - amazing what happens when you have no other choice 
  * Updating shlibs
  * More build-depends and depends work
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 11 Dec 2000 09:09:00 -0700

qt2.2 (2:2.2.2-11) unstable; urgency=low
 
  * Removing xim patch since it's been weeks without a fix for the problems
    it causes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Dec 2000 06:30:00 -0700

qt2.2 (2:2.2.2-10) unstable; urgency=low
 
  * Friggen dependency loops.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Dec 2000 01:00:00 -0700

qt2.2 (2:2.2.2-9) unstable; urgency=low
  
  * Fixing broken shlibs...arggg
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 02 Dec 2000 23:12:00 -0700

qt2.2 (2:2.2.2-8) unstable; urgency=low
 
  * Creating libqt2.2-gl package.  Recommendations from upstream folks to
    only compile in GL support as necessary due to stability issues and the
    fact that we do have users that require GL support in QT has led me to
    move GL support out of the main QT package.  libqt2.2 conflicts/replaces
    libqt2.2-gl while libqt2.2-gl replaces libqt2.2.  
  * Adding in missing build-depends
  * More build cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 30 Nov 2000 15:15:00 -0700

qt2.2 (2:2.2.2-7) unstable; urgency=low
 
  * New i18n patches
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 29 Nov 2000 07:52:00 -0700

qt2.2 (2:2.2.2-6) unstable; urgency=low
 
  * New i18n patches 
  * Adding in a replaces for libqt1g-dev and qt1g-dev
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 25 Nov 2000 03:40:00 -0700

qt2.2 (2:2.2.2-5) unstable; urgency=low
 
  * Removing nas support per popular demand
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 20 Nov 2000 15:45:00 -0700

qt2.2 (2:2.2.2-4) unstable; urgency=low
 
  * Moving threaded version of libqt to libqt2.2-mt to cut down on size of
    main package and still allow for those who need the threaded version to
    obtain it.
  * Fixing up dependencies for xlibs vs xlib6g for ports that do not have 
    xlibs
  * Fixing shlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 20:14:00 -0700

qt2.2 (2:2.2.2-4) unstable; urgency=low
  
  * Fixing up thread support again
  * Fixing the last lintian error
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 18 Nov 2000 08:30:00 -0700

qt2.2 (2:2.2.2-3.1) unstable; urgency=low
 
  * Fixing QGLWidget problem (Closes: #77248)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 21:30:00 -0700

qt2.2 (2:2.2.2-3) unstable; urgency=low
 
  * Applying uic patch from upstream
  * Adding in versioned replace (Closes: #77147)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 07:15:00 -0700

qt2.2 (2:2.2.2-2.1) unstable; urgency=low
 
  * Removing thread support as it still seems unstable
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 07:15:00 -0700

qt2.2 (2:2.2.2-2) unstable; urgency=low
 
  * contains new i18n patches
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 16 Nov 2000 02:00:00 -0700

qt2.2 (2:2.2.2-1) unstable; urgency=low
 
  * New upstream version
  * Does not contain any i18n patches
  * compiled with nas sound support
  * mesa specific GL code removed manually
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 14 Nov 2000 20:00:00 -0700

qt2.2 (2:2.2.1-11) unstable; urgency=low
 
  * Manually removing Mesa specific GL code from qt
  * New i18n patch
  * Cleaned up diff file
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Nov 2000 03:00:00 -0700

qt2.2 (2:2.2.1-10) unstable; urgency=low
 
  * New i18n patches (Closes: #75830)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Nov 2000 16:00:00 -0700
                                                                                
qt2.2 (2:2.2.1-9.2) unstable; urgency=low
 
  * Fix to /usr/lib/qt2/man link problem (Closes: #75622)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 05 Nov 2000 22:00:00 -0700
                                                                                
qt2.2 (2:2.2.1-9.1) unstable; urgency=low
 
  * Build against X4 libs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 12:00:00 -0700
                                                                                
qt2.2 (2:2.2.1-9) unstable; urgency=low

  * More opengl cleanup
  * Removing i18n patches as they are causing problems in some apps

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 01 Nov 2000 23:00:00 -0700

qt2.2 (2:2.2.1-8) unstable; urgency=low
 
  * Re-adding opengl support until another solution is created
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 16:28:00 -0700

qt2.2 (2:2.2.1-7) unstable; urgency=low
 
  * Round 42..heh...let's try the png fix again
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Oct 2000 23:54:00 -0700
                                                                                
qt2.2 (2:2.2.1-6) unstable; urgency=low
 
  * Hopefully fix png image viewing crashing
  * adding in links for /usr/lib/qt2/man and /usr/lib/qt2/doc
  * Fixing compression of html files
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Oct 2000 00:15:00 -0700
                                                                                
qt2.2 (2:2.2.1-5) unstable; urgency=low
 
  * Minor dependency fix for libqt2.2-dev's perl necessesity
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 14 Oct 2000 01:00:00 -0700

qt2.2 (2:2.2.1-4) unstable; urgency=low
 
  * Ok, I'm not sure what i did but somehow the i18n patches missed getting
    applied when I updated the source.  Re-Applying them.  (Closes: #74713)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 13 Oct 2000 23:30:00 -0700

qt2.2 (2:2.2.1-3) unstable; urgency=low
 
  * Putting includes for examples into qt2.2-doc package (Closes: #74479)
  * adding in some build options recommended by upstream that will reduce
    the amount of memory used by apps linked against qt as well as reduce
    the size of the resulting library significantly
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 11 Oct 2000 02:30:00 -0700
                                                                                
qt2.2 (2:2.2.1-2) unstable; urgency=low
 
  * More build cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 03:45:00 -0700

qt2.2 (2:2.2.1-1) unstable; urgency=low
 
  * Including new version of upstream source code (they buggered something)
  * Applying i18n patches for 2.2.1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Oct 2000 22:00:00 -0700
                                                                                
qt2.2 (2:2.2.1-0) unstable; urgency=low
 
  * New upstream version
  * Building with thread support turned on (Closes: #72994)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 20:00:00 -0700
                                                                                
qt2.2 (2:2.2.0-20000906-9) unstable; urgency=low

  * Fixing up some dependencies and build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 17:30:00 -0700

qt2.2 (2:2.2.0-20000906-8) unstable; urgency=low

  * Appling font patch to fix infinate loop and XFree4 (Closes: #72374)
  * Fixing /usr/include/qt after removing alternatives
  * Adding in a conflict for libqt1g-dev

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 24 Sep 2000 22:00:00 -0700

qt2.2 (2:2.2.0-20000906-7) unstable; urgency=low
 
  * Finally adding in a fix for dangling manpage (Closes: #67375)
  * Getting rid of alternatives since this will be the only qt package
  * Adding libmng support
  * Fixing up build-depends
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 00:30:00 -0700

qt2.2 (2:2.2.0-20000906-6) unstable; urgency=low
 
  * More cleanup of build process to better handle mergetr and msg2qm
  * Should fix problem with mesa linking (Closes: #71829)
  * Applying m17n patches (Closes: #71820)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 17:30:00 -0700

qt2.2 (2:2.2.0-20000906-5) unstable; urgency=low
 
  * Fixing problem with missing mergetr and msg2qm
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 12 Sep 2000 09:00:00 -0700

qt2.2 (2:2.2.0-20000906-4) unstable; urgency=low

  * Building against utahglx instead of mesa to get around hardcoded Mesa
    items

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 19:00:00 -0700

qt2.2 (2:2.2.0-20000906-3) unstable; urgency=low

  * Fixing src -> sub-src problem in rules file (should help alpha build)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 15:15:00 -0700

qt2.2 (2:2.2.0-20000906-2) unstable; urgency=low
 
  * Removing designer build pieces
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 08 Sep 2000 00:15:00 -0700

qt2.2 (2:2.2.0-20000906-1) unstable; urgency=low
 
  * Working out build issues
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Sep 2000 15:00:00 -0700

qt2.2 (2:2.2.0-20000906-0) unstable; urgency=low

  * New upstream stable release 
  * Includes designer and is under a dual license. QPL and GPL

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 06 Sep 2000 07:45:00 -0700

qt2.2-copy (2:2.2.0-20000821-0.3) unstable; urgency=low

  * Building other tools (mergetr, msg2qm, qconfig)
  * removing replace/conflict with libqt2.1 

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 05 Sep 2000 18:00:00 -0700

qt2.2-copy (2:2.2.0-20000821-0.2) unstable; urgency=low

  * Fixing library issues when building designer

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Sep 2000 17:00:00 -0700

qt2.2-copy (2:2.2.0-20000821-0.1) unstable; urgency=low
 
  * Updating version number to be higher than Debian one
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 28 Aug 2000 06:00:00 -0700
                                                                                
qt2.2-copy (2:2.2.0-20000821-0) unstable; urgency=low

  * New upstream CVS version
  * Providing designer 

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 21 Aug 2000 18:00:00 -0700

qt2.2-copy (2:2.2.0-1.copy.1) unstable; urgency=low
 
  * New upstream beta version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Aug 2000 00:30:00 -0700      

qt2.2-beta1 (2:2.2.0-0.beta1.0) unstable; urgency=low

  * New upstream beta version

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 10 Aug 2000 02:30:00 -0700

qt2.1 (2:2.1.0-1.1) unstable; urgency=low
 
  * Upping the epoch number since the upstream version changes made 2.1.0
    full release lower than the 2.1.0beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 18 May 2000 08:30:00 -0700

qt2.1 (2.1.0-1.1) unstable; urgency=low
 
  * Fixing qt_windows/mac.h include errors
  * Adding in build depends
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 May 2000 02:30:00 -0700

qt2.1 (2.1.0-1) unstable; urgency=low

  * Applying patches for international support issues provided by
    Oliver Bolzer

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 25 Apr 2000 17:45:00 -0700

qt2.1 (2.1.0-0) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 19 Apr 2000 05:30:00 -0700

qt2.1beta3 (2.1.0beta3-0) unstable; urgency=low

  * New upstream beta version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 22 Mar 2000 18:00:00 -0700

qt2.1beta2 (2.1.0beta2-1.1) unstable; urgency=low
 
  * Applying qsortedlist.h patch 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 07 Mar 2000 10:30:00 -0700

qt2.1beta2 (2.1.0beta2-1) unstable; urgency=low
 
  * New upstream beta version
  * Fixing prerm script
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 00:30:00 -0700
                                                                          
qt2.1 (2.1.0-0.beta1.0) unstable; urgency=medium

  * New upstream beta version 
  * Taking over maintainership temporarily with permission from Heiko
  * Fixing alternatives issue (Closes: #56997)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 28 Feb 2000 18:00:00 -0700

qt2 (2.0.2-0.7) unstable; urgency=medium

  * Taking out old qt1g confliction (Closes: #54414)
  * Fixing problem with overwriting moc man pages (Closes: #53067)
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 09 Jan 2000 12:15:23 -0700

qt2 (2.0.2-0.6) unstable; urgency=medium

  * Compressing man pages (Closes: #51336)
  * Fixing self dependencies issue with resident qt libs
  * Adding in an alternative for -dev's libqt.so
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 30 Nov 1999 23:15:23 -0400

qt2 (2.0.2-0.5) unstable; urgency=medium

  * Adding in a conflict for qt1g..sorry.. (Closes #49507, #49347, #48827)
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Nov 1999 00:15:23 -0400

qt2 (2.0.2-0.4) unstable; urgency=medium

  * Creating an alternative for /usr/include/qt
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Nov 1999 00:15:23 -0400

qt2 (2.0.2-0.3) unstable; urgency=medium

  * Changing pathing for doc-base (Closes: #47583)
  * Setting sections properly in control file
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 1 Nov 1999 00:15:23 -0400

qt2 (2.0.2-0.2) unstable; urgency=medium

  * Fixing self dependency (Closes: #48254)
  * Including msg2qm and mergetr (Closes: #47897)
  * Creating an alternative for moc between qt1 and qt2 (Closes: #44844)
  * Linking /usr/lib/qt2/include to /usr/include/qt2
  * Fixing up post/pre scripts to work with debian policy (doc linking stuff)
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Oct 1999 08:15:23 -0400

qt2 (2.0.2-0.1) unstable; urgency=medium

  * New upstream version
  * Changing package names to meet policy (Closes: 46229)
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 07 Oct 1999 08:15:23 -0400

qt2 (2.0.1-0.1) unstable; urgency=medium

  * Rebuild with new gcc (2.95) libs
  * Changing requirement for -doc from recommends to suggests
  * Migrating to /usr/share/doc
  * NMU for the above changes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Sep 1999 14:15:23 -0400

qt2 (2.0.1-0) unstable; urgency=medium

  * bug fix release (new upstream)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue, 20 Jul 1999 09:15:23 +0200

qt2 (2.00-0) unstable; urgency=medium

  * final release

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 28 Jun 1999 18:08:19 +0200

qt2beta (2.00beta3-19990619-1) unstable; urgency=low

  * new upstream
  * included below mentioned changes from J.M. Dassen
  * included extensions: imageio, opengl, xt

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sat, 19 Jun 1999 13:14:36 +0200

qt2beta (2.0-19990516-2.1) unstable; urgency=low

  * UNRELEASED.
  * Bumped Standards-Version.
  * [debian/control] Updated descriptions.
  * [debian/rules] Strengthened 'clean' to produce better diffs.
  * [src/Makefile.in] Disabled building of the libraries in "3rdparty" and
    make use of the Debian libpng and libz packages instead.
  * [debian/TODO] New.
  * [debian/shlibs-dbg] Updated.
  * Added doc-base support.
  * Fixed a number of lintian complaints:
    * [debian/control] Section "x11", not "main/x11".
    * [debian/rules] Install changelogs.
    * [debian/rules] Correct permission of documentation files.
    * [debian/rules] Don't install LICENSE.QPL; it's in the copyright file
      already.
    * [debian/copyright.in] License is in LICENSE.QPL in the source
      distribution.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 21 May 1999 18:59:25 +0200

qt2beta (2.0-19990516-2) unstable; urgency=low

  * skipping the man page steps entirely, since
    the source doesn't seem to contain manpages, does it?
  * built on a potato system
    Thanks to: "Ivan E. Moore II" <rkrusty@tdyc.com>

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 17 May 1999 13:01:18 -0700

qt2beta (2.0-19990516-1) unstable; urgency=low

  * new checkout.
  * gif enabled

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 10 May 1999 15:57:05 +0200

qt2beta (2.0-19990406-1) unstable; urgency=low

  * new checkout.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue,  6 Apr 1999 09:07:14 +0200

qt2beta (2.0-19990316-1) unstable; urgency=low

  * new checkout.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue, 16 Mar 1999 23:35:59 +0100

qt2beta (2.0-19990308-1) unstable; urgency=low

  * new checkout.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue,  9 Mar 1999 00:03:32 +0100

qt2beta (2.0-19990302-1) unstable; urgency=low

  * new upstream beta ... (for coolo@kde.org)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue,  2 Mar 1999 16:08:30 +0100

qt1-snapshot (1.39.19980414-2) unstable; urgency=low

  * insert the correct place (/usr/lib/qt1-snapshot/bin/moc)
    of moc into the example Makefiles.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 16 Apr 1998 17:45:00 +0200

qt1-snapshot (1.39.19980414-1) unstable; urgency=low

  * new upstream
  * can now coexist with qt1
  * for further information read  /usr/doc/qt1-snapshot/README.Debian

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 15 Apr 1998 22:41:36 +0200

qt1 (1.39.19980406-2) unstable; urgency=low

  * added the /usr/lib/qt dir w/ two symlinks
    -> /usr/include and ->/usr/X11R6/lib
    to make the QTDIR approach work (now
    you can set QTDIR=/usr/lib/qt)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed,  8 Apr 1998 11:18:16 +0200

qt1 (1.39.19980406-1) unstable; urgency=low

  * new upstream, used to compile qtscape

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue,  7 Apr 1998 11:22:02 +0200

qt1 (1.33-5) frozen; urgency=low

  * correct include and lib dir for the mesa stuff

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon,  6 Apr 1998 11:13:40 +0200

qt1 (1.33-4) frozen; urgency=low

  * next try to upload it.  Build with mesa2g-dev
    instead of the libc5 mesa libs.
  * /usr/doc/example/qt-doc removed (#16921)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sun,  5 Apr 1998 13:58:13 +0200

qt1 (1.33-3) frozen; urgency=low

  * shlibs files now mention the current verion of libqt
  * include libqgl (#16942, #14410)
  * include tutorial in qt-doc

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 27 Mar 1998 13:07:30 +0100

qt1 (1.33-2) frozen; urgency=medium

  * dependency on xlib6 removed (#15905)
  * include all .html files (#11567)
  * hopefully lintian proof
  * used the debhelper tools

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue, 24 Mar 1998 23:30:38 +0100

qt1 (1.33-1) unstable; urgency=medium

  * new upstream

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 23 Mar 1998 20:06:31 +0100

qt1 (1.31-1.3) unstable; urgency=low

  * -1.1 is not processed. maybe a new upload will work ?
  * non-maintainer release by Andreas Jellinghaus <aj@debian.org>.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 14 Oct 1997 10:47:14 +0200

qt1 (1.31-1.1) unstable; urgency=low

  * libc6 version.
  * non-maintainer release by Andreas Jellinghaus <aj@debian.org>.

 -- Andreas Jellinghaus <aj@debian.org>  Tue, 14 Oct 1997 10:47:14 +0200

qt1 (1.31-1) unstable; urgency=medium

  * new upstream release

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 13 Oct 1997 08:55:58 +0200

qt1 (1.30-1) unstable; urgency=medium

  * new upstream release
  * changes: examples/tetris/Makefile clean target changed to
    remove the *.moc file too
  * src/moc/Makefile touches y.tab.h after cleanup since the
    original source from troll tech contains it too (but
    is useless)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue, 30 Sep 1997 22:58:40 +0200

qt1 (1.2.1-1) stable unstable non-free; urgency=medium

  * new upstream release (Bugfix only!)

 -- Heiko Sclittermann <heiko@lotte.sax.de>  Tue, 12 Aug 1997 21:26:13 +0200

qt1 (1.2-5) frozen non-free; urgency=low

  * set the new moc location in the examples and
    tutorial makefiles.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue, 29 Apr 1997 12:09:03 +0200

qt1 (1.2-4) frozen non-free; urgency=low

  * shlibs file lists version 1.2, since applications compiled
    agains 1.2 doesn't work with < 1.2

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 25 Apr 1997 20:04:04 +0200

qt1 (1.2-3) non-free; urgency=low

  * doc no longer depends on the library/binary package,
    it only suggests it

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 21 Apr 1997 16:23:49 +0200

qt1 (1.2-2) non-free; urgency=low

  * moc goes to /usr/bin instead of /usr/X11R6/bin

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 17 Apr 1997 11:49:24 +0200

qt1 (1.2-1) non-free; urgency=medium

  * new upstream version
  * bug8432 fixed: dependency on xlib6
  * New include dir is /usr/X11R6/include/qt (according to Xm, XmCxx, ...)
  * bug8449 fixed: (suggestion) symlink
        /usr/include/qt -> /usr/X11R6/include/qt  (shouldn't do
        to much harm)
  * bug8507/8184 fixed: symlink in example dir

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 11 Apr 1997 12:46:12 +0200

qt1 (1.1-2) non-free; urgency=low

  * optional instead of extra ....
  * correctly replace old qt0-doc and old qt0-dev with
    qt-doc resp. qt-dev

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 28 Feb 1997 17:08:02 +0100

qt1 (1.1-0) non-free; urgency=medium

  * new upstream release out for about 3 months

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 12 Feb 1997 09:18:40 +0100

qt1 (1.0-3) contrib; urgency=low

  * should appear in non-free now

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Wed, 11 Dec 1996 19:02:08 +0100

qt1 (1.0-2) frozen unstable; urgency=low

  * nothing new unless distribution code and debian version
    number -- I hope this will finally place all *deb files
    in place on master.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 5 Dec 1996 09:40:14 +0100

qt1 (1.0-1) unstable; urgency=low

  * new upstream version
  * dev and doc package are now installed as qt-dev and qt-doc,
    since only one qt-dev/qt-doc may exist at any time (but
    qt may exist as qt0 and qt1)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 18 Oct 1996 13:32:24 +0200

qt0 (0.99-1) unstable; urgency=low

  * new upstream version

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 9 Sep 1996 13:22:03 +0200

qt0 (0.98-1) unstable; urgency=low

  * initial release

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sun, 8 Sep 1996 13:40:31 +0200
